from django.urls import include, path
from games.api.views import GameViewSet
from rest_framework import routers

# importing views from views..py
from .views import GameList, GameDetail, GameSystemDetail

app_name = "games"

urlpatterns = [
    path("", GameList.as_view(), name="game_list"),
    path("<str:slug>/", GameDetail.as_view(), name="game_detail"),
    path("system/<str:slug>/", GameSystemDetail.as_view(), name="game_system_detail"),
]
